
TYPO3.Flow - Feature # 6605

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Security
Created: 2010-02-25 Assigned To: Andreas Förthner
Updated: 2010-12-08 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Integrate the security policy into resource management
Description

Resources are basically objects that can be secured by model security (see #6604). We'll have to find a solution how secured files
have to be handled by the resource manager.

One possiblity would be:

We have a special virtual folder named after the secure session key that holds symlinks to all resources the current user is allowed to
access. We could also add a dynamic rewrite rule that restricts access to this folder to the IP of this user. The folder would have to
"expire" with the user session.

Related issues:
related to TYPO3.Flow - Major Feature # 5659: Implement content security Resolved 2009-12-07

Associated revisions
Revision 670aa59c - 2010-12-08 12:40 - Andreas Förthner

[+FEATURE] FLOW3 (Security): Implemented private resource publishing

Resolves: #6605
Change-Id: I6574cf086d6049594ead7950b7fafc7145bb6f0a

Revision 54832f5d - 2010-12-08 12:48 - Karsten Dambekalns

[~TASK] FLOW3 Distribution: Add private resources rewrite rule

Relates to: #6605

Change-Id: I9f9510f82492380c736b3fae3cb67ef7e69f5e47

History
#1 - 2010-03-02 17:14 - Andreas Förthner
- Target version set to 1.0 alpha 9

#2 - 2010-03-11 11:05 - Robert Lemke
- Status changed from New to Accepted
- Start date deleted (2010-02-25)
- Estimated time set to 30.00

#3 - 2010-05-28 17:41 - Robert Lemke
- Target version deleted (1.0 alpha 9)

#4 - 2010-07-09 15:04 - Andreas Förthner
- Target version set to 1.0 alpha 11

#5 - 2010-08-19 11:34 - Karsten Dambekalns
- Target version deleted (1.0 alpha 11)

#6 - 2010-10-11 13:18 - Andreas Förthner
- Target version set to 1.0 alpha 13

#7 - 2010-11-16 16:42 - Karsten Dambekalns
- Target version changed from 1.0 alpha 13 to 1.0 alpha 14

#8 - 2010-12-08 13:00 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"670aa59cae5dbbcb9b265ea24d8c29a6357e9eb0".
